Get a holding Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
GET /api/v1/plans/{plan_uuid}/sub-accounts/{subAccount_uuid}/holdings/{uuid}

Path parameters

  • plan_uuid string Required
  • subAccount_uuid string Required
  • uuid string Required

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • uuid string

      The UUID of the resource.

    • created_at string

      The timestamp of when the resource was created.

    • updated_at string

      The timestamp of when the resource was created.

    • fund_name string

      The name of the fund.

    • reference string

      The reference of the holding.

    • sector string

      The sector of the holding.

    • sedol string

      The SEDOL of the holding.

    • isin string

      The ISIN of the holding.

    • citi string

      The CITI of the holding.

    • units integer

      Holding units as a decimal.

    • unit_price object

      The unit price of the holding.

      Hide unit_price attributes Show unit_price attributes object
      • amount object
        Hide amount attributes Show amount attributes object
        • example string
        • description string
      • formatted object
        Hide formatted attributes Show formatted attributes object
        • example string
        • description string
      • currency object
        Hide currency attributes Show currency attributes object
        • example string
        • description string
    • unit_price_raw integer

      The raw unit price of the holding.

    • purchase_price object

      The purchase price of the holding.

      Hide purchase_price attributes Show purchase_price attributes object
      • amount object
        Hide amount attributes Show amount attributes object
        • example string
        • description string
      • formatted object
        Hide formatted attributes Show formatted attributes object
        • example string
        • description string
      • currency object
        Hide currency attributes Show currency attributes object
        • example string
        • description string
    • is_active boolean

      Denotes if the holding is active or not.

    • value object

      The current value of the holding.

      Hide value attributes Show value attributes object
      • amount object
        Hide amount attributes Show amount attributes object
        • example string
        • description string
      • formatted object
        Hide formatted attributes Show formatted attributes object
        • example string
        • description string
      • currency object
        Hide currency attributes Show currency attributes object
        • example string
        • description string
    • sub_account object

      The holdings sub account.

      Hide sub_account attributes Show sub_account attributes object
      • uuid string
      • created_at string
      • updated_at string
      • name string
      • policy_number string
      • latest_valuation object
        Hide latest_valuation attributes Show latest_valuation attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • valued_at

          Valued at

        • value

          Valuation

      • is_main_account boolean
      • active_portfolio object
        Hide active_portfolio attributes Show active_portfolio attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • is_proposed

          Denotes if the portfolio is proposed

        • proposed_at

          The date the portfolio was proposed.

        • name

          The name of the portfolio.

      • statistics object
        Hide statistics attribute Show statistics attribute object
        • recent_growth integer
    • external_references object

      The external references of the holding.

      Hide external_references attributes Show external_references attributes object
      • uuid string
      • created_at string
      • updated_at string
      • third_party string
      • reference string
GET /api/v1/plans/{plan_uuid}/sub-accounts/{subAccount_uuid}/holdings/{uuid}
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/plans/6ff8f7f6-1eb3-3525-be4a-3932c805afed/sub-accounts/6ff8f7f6-1eb3-3525-be4a-3932c805afed/holdings/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "uuid": "6d71acbc-10fd-4ca0-a023-441c877a0bd1",
  "created_at": "2026-07-20T09:57:24+01:00",
  "updated_at": "2026-07-20T09:57:24+01:00",
  "fund_name": "Fund",
  "reference": "REF123",
  "sector": "Europe",
  "sedol": "ACB123",
  "isin": "ACB123",
  "citi": "ACB123",
  "units": 5,
  "unit_price": {
    "amount": {
      "example": "1000",
      "description": "Money amount at their lowest denominator (for example: pennies)"
    },
    "formatted": {
      "example": "£10.00",
      "description": "Money amount formatted with currency"
    },
    "currency": {
      "example": "GBP",
      "description": "Currency of the money"
    }
  },
  "unit_price_raw": 10,
  "purchase_price": {
    "amount": {
      "example": "4000",
      "description": "Money amount at their lowest denominator (for example: pennies)"
    },
    "formatted": {
      "example": "£40.00",
      "description": "Money amount formatted with currency"
    },
    "currency": {
      "example": "GBP",
      "description": "Currency of the money"
    }
  },
  "is_active": true,
  "value": {
    "amount": {
      "example": "4000",
      "description": "Money amount at their lowest denominator (for example: pennies)"
    },
    "formatted": {
      "example": "£40.00",
      "description": "Money amount formatted with currency"
    },
    "currency": {
      "example": "GBP",
      "description": "Currency of the money"
    }
  },
  "sub_account": {
    "uuid": "b466947d-8cbe-44dc-8e3c-881fd1074ba7",
    "created_at": "2026-07-20T09:57:24+01:00",
    "updated_at": "2026-07-20T09:57:24+01:00",
    "name": "John's ISA",
    "policy_number": "AVI-4837",
    "latest_valuation": {
      "uuid": "c4b320ff-5a4f-40cd-8780-a5ca1da1b42f",
      "created_at": "2026-07-20T09:57:30+01:00",
      "updated_at": "2026-07-20T09:57:30+01:00",
      "valued_at": "2026-07-20T09:57:30+01:00",
      "value": {
        "amount": {
          "example": "4000",
          "description": "Money amount at their lowest denominator (for example: pennies)"
        },
        "formatted": {
          "example": "£40.00",
          "description": "Money amount formatted with currency"
        },
        "currency": {
          "example": null,
          "description": "Currency of the money"
        }
      }
    },
    "is_main_account": false,
    "active_portfolio": {
      "uuid": "e88959eb-872d-4fe5-a540-d38f0c5352c0",
      "created_at": "2026-07-20T09:57:30+01:00",
      "updated_at": "2026-07-20T09:57:30+01:00",
      "is_proposed": true,
      "proposed_at": "2026-07-20T00:00:00+01:00",
      "name": "Risky Portfolio"
    },
    "statistics": {
      "recent_growth": 100
    }
  },
  "external_references": {
    "uuid": "20e787f4-afdc-4ced-ac8b-f77a37de5181",
    "created_at": "2026-07-20T09:57:24+01:00",
    "updated_at": "2026-07-20T09:57:24+01:00",
    "third_party": "nucleus",
    "reference": "AB123456"
  }
}